<?php $r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$spe=$_SESSION['perfil'];
$iduser=$_SESSION['userid'];
if($spe!=$pad && $spe!=$psu && $spe!=$pbo && $spe!=$pca && $spe!=$pcl){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>NO TIENES PERMISO PARA ESTA SECCION</h6></div>';exit();}
$mysqli = connectDB($r);
/* FORMULARIO NUEVO */
if(isset($_POST["aprobar"])){
    $code=$_POST["aprobar"];
    foreach($_POST as $key => $item){
            $param_name = 'id';
            if(substr($key, 0, strlen($param_name)) == $param_name) {
                $id=$item;
            }
            $param_name = 'bono';
            if(substr($key, 0, strlen($param_name)) == $param_name) {
                $bono=$item;
                 $mysqli->query("UPDATE z_pedido SET bono='$bono' WHERE codigopedido='$code' AND idproducto='$id'");
            }
            $param_name = 'por';
             if(substr($key, 0, strlen($param_name)) == $param_name) {
                $por= $item;
                $mysqli->query("UPDATE z_pedido SET descuento='$por' WHERE codigopedido='$code' AND idproducto='$id'");
             }
            $param_name = 'pre';
             if(substr($key, 0, strlen($param_name)) == $param_name) {
                $pre= $item;
                $mysqli->query("UPDATE z_pedido SET precio='$pre' WHERE codigopedido='$code' AND idproducto='$id'");
             }
        if($key=='aprobar'){$mysqli->query("UPDATE z_pedidos SET estado='1' WHERE codigopedido='$code'");}
        if($key=='adicional'){$adicional=$item; $mysqli->query("UPDATE z_pedidos SET adicional='$item' WHERE codigopedido='$code'");}
        if($key=='abono'){$abono=$item; $mysqli->query("UPDATE z_pedidos SET abono='$abono' WHERE codigopedido='$code'");}
        if($key=='rutero'){if($item==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>FALTA RUTERO</h6></div>';exit();}$mysqli->query("UPDATE z_pedidos SET idrutero='$item' WHERE codigopedido='$code'");}
        if($key=='pago'){
            $row3=$mysqli->query("SELECT * FROM z_pedido WHERE codigopedido='$code'");
            while($row4 = $row3->fetch_assoc()){
                $des=100-$row4['descuento'];
                $total=$precio+$row4['precio']*$row4['cantidad']/100*$des;$tota=$tota+$total;
                $totalund=$row4['cantidad']-$row4['bono'];
                }
                $total=$tota+$adicional;
            $mysqli->query("UPDATE z_pedidos SET total='$total' WHERE codigopedido='$code'");
            if($item==2){
            $mysqli->query("UPDATE z_pedidos SET pago='$item' WHERE codigopedido='$code'");
            $mysqli->query("INSERT INTO z_caja (iduser, codigopedido, pago, estado) VALUES ('$iduser','$code','$total','2')");
            }else{$mysqli->query("UPDATE z_pedidos SET pago='$item' WHERE codigopedido='$code'");}}
        if($key!='aprobar' && $key!='rutero'){
        $mysqli->query("UPDATE z_pedido SET precio='$item' WHERE codigopedido='$code' AND idproducto='$key'");
        $mysqli->query("UPDATE z_pedidos SET idapro='$iduser' WHERE codigopedido='$code'");
        $fecha = date("Y-m-d H:i:s");    
        $mysqli->query("UPDATE z_pedidos SET fechaaprovacion='$fecha' WHERE codigopedido='$code'");
        }
    }
    echo '../caja/prints.php?code='.$code.'&msn=El Pedido N°'.$code.' fue aprobado, se ha enviado a bodega!';
    exit();
}

/* FORMULARIO EDITAR */
if(isset($_POST["editar"])){
    $code=$_POST["editar"];
    foreach($_POST as $key => $item){
            $param_name = 'iden';
            if(substr($key, 0, strlen($param_name)) == $param_name) {
                $idpro=$item;
                if($si==""){$si=$idpro;}
            }
            $param_name = 'cant';
             if(substr($key, 0, strlen($param_name)) == $param_name) {
                    $capro= $item;
             }
            $param_name = 'prec';
            if(substr($key, 0, strlen($param_name)) == $param_name) {
                $prpro = $item;
            }
            $param_name = 'iva';
             if(substr($key, 0, strlen($param_name)) == $param_name) {
                    $iva= $item;
                    $ya = '1';
             }
            if($ya==1){
                $row20=$mysqli->query("SELECT * FROM z_pedido WHERE idproducto='$idpro' AND codigopedido='$code'");
                $row21=$row20->fetch_assoc();
                $cantidad=$row21['cantidad'];
                
                $mysqli->query("DELETE FROM z_pedido WHERE codigopedido=$code AND idproducto='$idpro'");
                $mysqli->query("INSERT INTO z_pedido (idproducto, cantidad, precio, iva, codigopedido) VALUE ('$idpro','$capro','$prpro','$iva','$code')");
                $prod=sprod($idpro);
                $producto=$prod['producto'];
                $mensaje   .= $producto.' : '.$capro. "\r\n";
                
                $row7=$mysqli->query("SELECT * FROM z_inventario WHERE idproducto='$idpro' ORDER BY id DESC");
                $row8=$row7->fetch_assoc();
                $icant=$row8['cantidad'];
                $iid=$row8['id'];
                $icant=$icant-$capro+$cantidad;
                $mysqli->query("UPDATE z_inventario SET cantidad='$icant' WHERE id='$iid'");
                $ya = '0';
            }
        }
        
    $tipopedido=$_POST["tipopedido"];
    $mysqli->query("UPDATE z_pedidos SET tipopedido='$tipopedido' WHERE codigopedido='$code'");
    $fecha=$_POST["fecha"];
    $mysqli->query("UPDATE z_pedidos SET fechaentrega='$fecha' WHERE codigopedido='$code'");
    $idcliente=$_POST["cliente"];
    $mysqli->query("UPDATE z_pedidos SET idcliente='$idcliente' WHERE codigopedido='$code'");
    $mysqli->query("UPDATE z_pedidos SET revisar='0' WHERE codigopedido='$code'");
        
    echo '../caja/prints.php?code='.$code.'&msn=El Pedido N°'.$code.' fue aprobado, se ha enviado a bodega!';
    exit();
}
/* FORMULARIO REASIGNAR */
if(isset($_POST["reasignar"])){
    $code=$_POST["reasignar"];
    foreach($_POST as $key => $item){
        if($key=='rutero'){if($item==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>FALTA RUTERO</h6></div>';exit();}
        $mysqli->query("UPDATE z_pedidos SET idrutero='$item' WHERE codigopedido='$code'");}
    }
    
    echo '../caja/prints.php?code='.$code.'&msn=El Pedido N°'.$code.' fue aprobado, Reasignado!';
    exit();
}



/* FORMULARIO CARREGIR */
if(isset($_POST["corregir"])){
    $code=$_POST["corregir"];
    $mysqli->query("UPDATE z_pedidos SET revisar='1' WHERE codigopedido='$code'");
    echo 'mis-pedidos.php?code='.$code.'&msn=El Pedido N°'.$code.' Paso a Ser Corregido!';
    $mysqli->query("INSERT INTO z_corregir (`codigopedido`, `nota`) VALUES ('$code','$_POST[nota]')");
            
    exit();
}


if(isset($_POST["actPedido"])){
    $code=$_POST["code"];
    foreach($_POST as $key => $item){
        $param_name = 'id';
        if(substr($key, 0, strlen($param_name)) == $param_name) {
          $id= $item;
        }
        $param_name = 'can';
        if(substr($key, 0, strlen($param_name)) == $param_name) {
            $can=$item;
            if($can!=""){
                $row7=$mysqli->query("SELECT * FROM z_inventario WHERE idproducto='$id' ORDER BY id DESC");
                $row8=$row7->fetch_assoc();
                $icant=$row8['cantidad'];
                if($icant>$can){
                    $mysqli->query("UPDATE z_pedido SET cantidad='$can' WHERE codigopedido='$code' AND idproducto='$id'");
                }else{$npro=sprod($id);$e.='</br>El Producto '.$npro['producto'].'No fue actualizado, solo hay '.$icant.'en existencia, ';}
            
            }
        }
        $param_name = 'cann';
        if(substr($key, 0, strlen($param_name)) == $param_name) {
            $cann=$item;
            if($cann!=""){  
            $producto=sprod($id);
            $mysqli->query("INSERT INTO z_pedido(`idproducto`, `cantidad`, `precio`, `iva`,`codigopedido`) VALUES ('$id','$item','".$producto["salsamentaria"]."','".$producto["iva"]."','$code')");
            }
        }
        if($key=='fecha'){$mysqli->query("UPDATE z_pedidos SET fechaentrega='$item' WHERE codigopedido='$code'");}    
    }
    echo 'mis-pedidos.php?msn=El Pedido de N°'.$code.' Fue Actualizado'.$e; 
    exit();
}
if(isset($_GET["pago"])){
    $code=$_GET["code"];
    $pago=$_GET["pago"];
    $mysqli->query("UPDATE z_dproveedor SET estado='2' WHERE id='$code'");
    $mysqli->query("INSERT INTO z_caja (iduser, codigopedido, pago, estado) VALUES ('$iduser','$code','$pago','2')");
    exit(header("Location:".$r."inversiones/pagar.php?msn=El Pedido de N°'.$code.' Fue Pagado"));
}
if(isset($_POST["inversion"])){
    
    // IDPROVEEDOR
    $idproveedor=$_POST[proveedor];
    if($idproveedor==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Por Favor Selecciona un Proveedor</h6></div>';exit();}
    $idproveedor=mysqli_real_escape_string($mysqli, $idproveedor);
    
    // COSTO DE LA COMPRA
    $costo=$_POST[costo];
    if($costo==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Necesario Ingresar el Costo de la Factura</h6></div>';exit();}
    
    
    $fecha = date("Y-m-d H:i:s");
    if($_FILES['archivo']!=""){
    //Validamos si la ruta de destino existe, en caso de no existir la creamos
			$filename = $_FILES["archivo"]["name"]; //Obtenemos el nombre original del archivo
			$source = $_FILES["archivo"]["tmp_name"]; //Obtenemos un nombre temporal del archivo
			$ext = pathinfo($filename, PATHINFO_EXTENSION); //extencfiom un nombre temporal del archivo
            $now =  strtotime($fecha);

			
			$directorio = $r."inversiones/archivos/"; //Declaramos un  variable con la ruta donde guardaremos los archivos
			
			//Validamos si la ruta de destino existe, en caso de no existir la creamos
			if(!file_exists($directorio)){
				mkdir($directorio, 0777) or die("No se puede crear el directorio de extracci&oacute;n");	
			}
			$dir=opendir($directorio); //Abrimos el directorio de destino
            $target_path = $directorio.$now.'.'.$ext;
			
			//Movemos y validamos que el archivo se haya cargado correctamente
			//El primer campo es el origen y el segundo el destino
			move_uploaded_file($source, $target_path);
    }
    
    
    // CODIGO FACTURA
    $codigofactura=$_POST[codigofactura];
    $codigofactura=mysqli_real_escape_string($mysqli, $codigofactura);
    
    // FECHA LIMITE
    $fechalimite=$_POST[fecha];
    if($fechalimite==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La nota es Ingresar la fecha limite</h6></div>';exit();}
    $fechalimite=mysqli_real_escape_string($mysqli, $fechalimite);
    
    // ESTADO
    $estado=$_POST[estado];
    if($estado==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Selecciona e Estado de La factura</h6></div>';exit();}
    $estado=mysqli_real_escape_string($mysqli, $estado);
    if($estado==2){$abono=$costo;}
    
    // ABONO
    if($estado=="1"){
        $abono=$_POST[abono];
        if($abono==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Ingresa el Abono a la factura</h6></div>';exit();}
        $abono=mysqli_real_escape_string($mysqli, $abono);
    }
    
    
    // NOTA
    $nota=$_POST[nota];
    if($nota==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La nota es Necesaria</h6></div>';exit();}
    $nota=mysqli_real_escape_string($mysqli, $nota);
    
    $sql="INSERT INTO z_dproveedor (iduser, idproveedor, codigofactura, valor, soporte, nota, fecha, fechalimite, abono, estado) VALUES ('$iduser','$idproveedor','$codigofactura','$costo','$target_path','$nota','$fecha','$fechalimite','$abono','$estado')";
    if ($mysqli->query($sql) === TRUE) {
        $mysqli->close();
        echo 'pagar.php?msn=Se ha se a ingresado una nueva cuenta por pagar';
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . $mysqli->error;
        $mysqli->close();
    }
    exit();
}
    
if(isset($_POST["pagos"])){
    $abono=$_POST[abono];
    $abonos=$_POST[abonos];
    $selecione="";
    if($abonos<0){echo '<div class="alert alert-danger text-center" role="alert"><b>El valor ingresado es superior a la deuda, ingrese un valor inferior</b></div>'; exit();}
    foreach($_POST as $key => $item){
        $param_name = 'to';
        if(substr($key, 0, strlen($param_name)) == $param_name) {
            $selecione=$item;
        }
    }
    if($selecione==""){echo '<div class="alert alert-danger text-center" role="alert"><b>Usted no ha seleccionado una o varias Facturas para el abono!</b></div>' ; exit();}
    $arrayinfo = array();
    foreach($_POST as $key => $item){
        $param_name = 'to';
        if(substr($key, 0, strlen($param_name)) == $param_name) {
            $code=substr($key,strlen($param_name)); 
            array_push($arrayinfo[$code]=$item); 
        }
    }
    // Array ( [abono] => 1000000 [pagos] => si [idproveedor] => 18 [to1] => 4000000 [to3] => 700000 [abonos] => 3700000 );
    
    foreach($arrayinfo as $key => $item){        
        $idproveedor=$_POST[idproveedor];      
        $code=$key;     
        $valorfactura=$item;
        if($abono>=$valorfactura){
            $mysqli->query("UPDATE z_dproveedor SET estado='2' WHERE id='$code'");
            $row7=$mysqli->query("SELECT abono FROM z_dproveedor WHERE id='$code'");
            $row8=$row7->fetch_assoc();
            $abonoactual=$row8[abono];
            $sumaabonos=$abonoactual+$abono;
            $mysqli->query("UPDATE z_dproveedor SET abono='$valorfactura' WHERE id='$code'");
            $mysqli->query("INSERT INTO z_caja (iduser, codigopedido, pago, estado) VALUES ('$iduser','$code','$pago','2')");
            $mysqli->query("INSERT INTO z_aproveedores (iduser, idproveedor, idcodigo, abono) VALUES ('$iduser','$idproveedor','$code','$valorfactura')");
            $code=""; $pago="";$abono=$sumaabonos-$valorfactura;
        }else{
            $row7=$mysqli->query("SELECT abono FROM z_dproveedor WHERE id='$code'");
            $row8=$row7->fetch_assoc();
            $abonoactual=$row8[abono];
            $sumaabonos=$abonoactual+$abono;
            $mysqli->query("UPDATE z_dproveedor SET abono='$sumaabonos' WHERE id='$code'");
            $mysqli->query("INSERT INTO z_caja (iduser, codigopedido, pago, estado) VALUES ('$iduser','$code','$abono','2')");
            $mysqli->query("INSERT INTO z_aproveedores (iduser, idproveedor, idcodigo, abono) VALUES ('$iduser','$idproveedor','$code','$abono')");
            $code=""; $pago="";echo "pagar.php?id=$idproveedor&msn=El Pedido de N° $code Fue Pagado";exit();
            
        } 
    } 
    echo "pagar.php?id=$idproveedor&msn=El Pedido de N° $code Fue Pagado";exit();
}
if(isset($_POST["eliminar"])){
    $code=$_POST["eliminar"];
    $motivo=$_POST["motivo"];
    $fecha=date("Y-m-d H:i:s");
    $mysqli->query("UPDATE z_pedidos SET estado='4' WHERE codigopedido='$code'");
    $mysqli->query("INSERT INTO z_pedidoseliminados (iduser, codigopedido, idproveedor, motivo, fecha) VALUES ('$iduser','$code','$motivo','$fecha')");
    echo "mis-pedidos.php?msn=El Pedido de N°'.$code.' Fue eliminado";
}
?>